Subject: [Tsvwg] info reqd

From: devayya <[email-masked]>
Date: Wed, 11 Oct 2006 12:57:38 +0530

Hi,

The initial RTO is set to 500ms. in case sctp. And the Assoc Maximum 
retransmission error count is set to 3.
Also the T7 (Delay Ack )timer in m2pa is set to 1000 ms.
When both end points are sctp multi-homed with 2 valid paths, and when 
one of the path is brought down the m2pa link is going down due to T7 
expiry. Can anybody guide me as to what is wrong?

regards,
devayya

---

From: Michael Tuexen <[email-masked]>
Date: Wed, 11 Oct 2006 09:49:56 +0200

Hi devayya,

could it be that the following is happening?

You bring down the primary path. An M2PA message is sent. After
500ms it is retransmitted over the other path. Now a second message
is transmitted over the primary path and retransmitted after 1000ms
on the other path. Now T7, which is 1000 ms, expires...

I would suggest to use wireshark to see which packets are sent at
what time...

Best regards
Michael

On Oct 11, 2006, at 9:27 AM, devayya wrote:

> Hi,
>
> The initial RTO is set to 500ms. in case sctp. And the Assoc  
> Maximum retransmission error count is set to 3.
> When both end points are sctp multi-homed with 2 valid paths, and  
> when one of the path is brought down the m2pa link is going down  
> due to T7 expiry. Can anybody guide me as to what is wrong?
>
> regards,
> devayya
>
>
>

---

From: devayya <[email-masked]>
Date: Wed, 11 Oct 2006 14:38:37 +0530

Micheal,

Yeah this could be deffinitely the case. But how do we avoid it ?. 
Please suggest some solutions to avoid this condition.

regards,
devayya

Michael Tuexen wrote:

>> when one of the path is brought down the m2pa link is going down  due 
>> to T7 expiry. Can anybody guide me as to what is wrong?
>>
>> regards,
>> devayya
>>
>>
>>
>
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 11 Oct 2006 03:28:26 -0600

devayya,

It think that we had this discussion several times on this
list.  Your question is M2PA related and better discussed on
[email-masked]

As you know, M2PA runs a guard timer (T7) which it appears you
have set (according to Q.703 specifications) to 1 second.
This is a deadline that, if not met by the transport, M2PA
takes the link out of service.

What is happening is that your SCTP implementation coupled
with the setting of SCTP protocol parameters is simply not
meeting that deadline.

I suggest that you consult RFC 3286, RFC 3257 and RFC 4166.
In particular RFC 4166 discusses using signalling transport
over SCTP and some of the issues involved in minimizing
end-to-end delay and speeding failure detection.

In general, you will find that less problems are experienced
with an SCTP implementation that was designed with SIGTRAN in
mind.

--brian

devayya wrote:                                (Wed, 11 Oct 2006 12:57:38)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/